SingleSignOnMessage (Tomcat API Documentation)
Keywords: org.apache.catalina.ha.authenticator.SingleSignOnMessage class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ha.authenticator
Class SingleSignOnMessage

    java.lang.Object
      org.apache.catalina.ha.authenticator.SingleSignOnMessage

All Implemented Interfaces:
  java.io.Serializable, ClusterMessage

    public class SingleSignOnMessage

extends java.lang.Object
implements ClusterMessage, java.io.Serializable

Contains the SingleSignOn data, read and written by the ClusterSingleSignOn

Author:
  Fabien Carrion
See Also:
  Serialized Form

Field Summary
`static int` | `ADD_SESSION`
`static int` | `DEREGISTER_SESSION`
`static int` | `LOGOUT_SESSION`
`static int` | `REGISTER_SESSION`
`static int` | `REMOVE_SESSION`
`static int` | `UPDATE_SESSION`

Constructor Summary
`SingleSignOnMessage(Member source, java.lang.String ssoId, java.lang.String sessionId)`

Method Summary
`int` | `getAction()`
`Member` | `getAddress()` Get the address that this message originated from.
`java.lang.String` | `getAuthType()`
`java.lang.String` | `getContextName()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getSessionId()`
`java.lang.String` | `getSsoId()`
`long` | `getTimestamp()` Timestamp message.
`java.lang.String` | `getUniqueId()` Each message must have a unique ID, in case of using async replication, and a smart queue, this id is used to replace messages not yet sent.
`java.lang.String` | `getUsername()`
`void` | `setAction(int action)`
`void` | `setAddress(Member member)` Called by the cluster before sending it to the other nodes.
`void` | `setAuthType(java.lang.String authType)`
`void` | `setContextName(java.lang.String ctxname)`
`void` | `setPassword(java.lang.String password)`
`void` | `setSessionId(java.lang.String sessionId)`
`void` | `setSsoId(java.lang.String ssoId)`
`void` | `setTimestamp(long timestamp)` Called by the cluster before sending out the message.
`void` | `setUniqueId(java.lang.String uniqueId)`
`void` | `setUsername(java.lang.String username)`
`java.lang.String` | `toString()` Return a String rendering of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ADD_SESSION

    public static final int ADD_SESSION

See Also:
  Constant Field Values

### DEREGISTER_SESSION

    public static final int DEREGISTER_SESSION

See Also:
  Constant Field Values

### LOGOUT_SESSION

    public static final int LOGOUT_SESSION

See Also:
  Constant Field Values

### REGISTER_SESSION

    public static final int REGISTER_SESSION

See Also:
  Constant Field Values

### UPDATE_SESSION

    public static final int UPDATE_SESSION

See Also:
  Constant Field Values

### REMOVE_SESSION

    public static final int REMOVE_SESSION

See Also:
  Constant Field Values

Constructor Detail

### SingleSignOnMessage

    public SingleSignOnMessage(Member source,
                               java.lang.String ssoId,
                               java.lang.String sessionId)

Method Detail

### getAddress

    public Member getAddress()

  Get the address that this message originated from. This would be set if the message was being relayed from a host other than the one that originally sent it.

  Specified by:
    `getAddress` in interface `ClusterMessage`

### setAddress

    public void setAddress(Member member)

  Called by the cluster before sending it to the other nodes.

  Specified by:
    `setAddress` in interface `ClusterMessage`
  Parameters:
    `member` - Member

### getTimestamp

    public long getTimestamp()

  Timestamp message.

  Specified by:
    `getTimestamp` in interface `ClusterMessage`
  Returns:
    long

### setTimestamp

    public void setTimestamp(long timestamp)

  Called by the cluster before sending out the message.

  Specified by:
    `setTimestamp` in interface `ClusterMessage`
  Parameters:
    `timestamp` - The timestamp

### getUniqueId

    public java.lang.String getUniqueId()

  Each message must have a unique ID, in case of using async replication, and a smart queue, this id is used to replace messages not yet sent.

  Specified by:
    `getUniqueId` in interface `ClusterMessage`
  Returns:
    String

### setUniqueId

    public void setUniqueId(java.lang.String uniqueId)

  Specified by:
    `setUniqueId` in interface `ClusterMessage`

### getAction

    public int getAction()

### setAction

    public void setAction(int action)

### getSsoId

    public java.lang.String getSsoId()

### setSsoId

    public void setSsoId(java.lang.String ssoId)

### getContextName

    public java.lang.String getContextName()

### setContextName

    public void setContextName(java.lang.String ctxname)

### getSessionId

    public java.lang.String getSessionId()

### setSessionId

    public void setSessionId(java.lang.String sessionId)

### getAuthType

    public java.lang.String getAuthType()

### setAuthType

    public void setAuthType(java.lang.String authType)

### getPassword

    public java.lang.String getPassword()

### setPassword

    public void setPassword(java.lang.String password)

### getUsername

    public java.lang.String getUsername()

### setUsername

    public void setUsername(java.lang.String username)

### toString

    public java.lang.String toString()

  Return a String rendering of this object.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.